WordPress Black-LetterHead Theme URL cross-site scripting sérülékenység

CH azonosító

CH-5691

Angol cím

WordPress Black-LetterHead Theme URL Cross-Site Scripting Vulnerability

Felfedezés dátuma

2011.10.03.

Súlyosság

Alacsony

Érintett rendszerek

Black-LetterHead theme
WordPress

Érintett verziók

WordPress Black-LetterHead Theme 1.x

Összefoglaló

A WordPress Black-LetterHead téma olyan sérülékenysége vált ismertté, amelyet kihasználva a támadók cross-site scripting (CSS/XSS) támadásokat tudnak végrehajtani.

Leírás

Az index.php URL után fűzött bemeneti adat (amikor az “s” POST paraméter van beállítva) nincsen megfelelően tisztázva a felhasználónak történő visszaadás előtt. Ez kihasználható tetszőleges HTML és script kód futtatására a felhasználó böngészőjének  munkamenetében, az érintett oldallal kapcsolatosan.

A sérülékenységet a 1.5-ös verzióban jelentették, megelőző verziók is érintettek lehetnek.

Megoldás

Frissítsen az 1.7.1-es verzióra.